登录  免费注册
当前位置:首页 > 漏洞详细信息

Artifex Ghostscript代码执行漏洞

 关注(0)  
CNVD-ID CNVD-2020-54477
公开日期 2020-09-29
危害级别 高 (AV:N/AC:M/Au:N/C:C/I:C/A:C)
影响产品 Artifex Software Artifex Ghostscript <9.24
CVE ID CVE-2018-16509
漏洞描述 Artifex Ghostscript是美国Artifex Software公司的一款开源的PostScript(一种用于电子产业和桌面出版领域的页面描述语言和编程语言)解析器,它可显示Postscript文件以及在非Postscript打印机上打印Postscript文件。

Artifex Ghostscript 9.24之前版本中存在安全漏洞,该漏洞源于在处理/invalidaccess异常时,程序没有正确的检测‘restoration of privilege(权限恢复)’。攻击者可通过提交特制的PostScript利用该漏洞执行代码。
漏洞类型 通用型漏洞
参考链接 https://nvd.nist.gov/vuln/detail/CVE-2018-16509
漏洞解决方案 厂商已发布漏洞修复程序,请及时关注更新:
https://www.artifex.com/news/ghostscript-security-resolved/
厂商补丁 Artifex Ghostscript代码执行漏洞的补丁
验证信息 (暂无验证信息)
报送时间 2018-09-05
收录时间 2020-09-29
更新时间 2020-09-29
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论